# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Enum YouTubeMediaCredit.Type

    java.lang.Object
      java.lang.Enum<YouTubeMediaCredit.Type>
          com.google.gdata.data.youtube.YouTubeMediaCredit.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<YouTubeMediaCredit.Type>

Enclosing class:
  YouTubeMediaCredit

    public static enum YouTubeMediaCredit.Type

extends java.lang.Enum<YouTubeMediaCredit.Type>

Partner type.

Enum Constant Summary
`PARTNER`

Method Summary
`static YouTubeMediaCredit.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static YouTubeMediaCredit.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PARTNER

    public static final YouTubeMediaCredit.Type PARTNER

Method Detail

### values

    public static YouTubeMediaCredit.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (YouTubeMediaCredit.Type c : YouTubeMediaCredit.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static YouTubeMediaCredit.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null